WineHQ
Wine Forums

Board index » WineHQ » Wine Help » Linux




 Page 1 of 1 [ 16 posts ] 



 
Author Message
 Post subject: Error on installation
 Post Posted: Wed May 01, 2019 10:46 am 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
I follow the steps, and in some moment something goes wrong. Wine can't be installed either uninstall. I repeat the steps and nothing

Code:
E: El repositorio «http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release» no tiene un fichero de Publicación.
N: No se puede actualizar de un repositorio como este de forma segura y por tanto está deshabilitado por omisión.
N: Vea la página de manual apt-secure(8) para los detalles sobre la creación de repositorios y la configuración de usuarios.


Someone can help me? In spanish or english whatever i need help with this


Top 
 Post Posted: Wed May 01, 2019 1:13 pm 
Offline
Moderator
Moderator
User avatar

Joined: Tue Mar 25, 2008 10:30 pm
Posts: 12571
medalog wrote:
Code:
E: El repositorio «http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release» no tiene un fichero de Publicación.


That repository has been deprecated for a couple of years. Follow the instructions on https://wiki.winehq.org/Ubuntu to add the current WineHQ repository.


Top 
 Post Posted: Wed May 01, 2019 4:26 pm 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
Following the instruction...


Code:
medalog@localhost:~$ sudo dpkg --add-architecture i386
[sudo] contraseña para medalog:
medalog@localhost:~$ wget -nc https://dl.winehq.org/wine-builds/winehq.key
El fichero “winehq.key” ya está ahí, no se recupera.

medalog@localhost:~$ sudo apt-key add winehq.key
OK
medalog@localhost:~$ sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
Obj:1 http://repo.steampowered.com/steam precise InRelease
Obj:2 http://uy.archive.ubuntu.com/ubuntu bionic InRelease                     
Obj:3 http://uy.archive.ubuntu.com/ubuntu bionic-updates InRelease             
Obj:4 https://dl.winehq.org/wine-builds/ubuntu cosmic InRelease               
Obj:5 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease               
Des:6 http://uy.archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Des:7 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]   
Obj:8 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease
Ign:9 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic InRelease       
[b]Err:11 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release         
  404  Not Found [IP: 91.189.95.83 80][/b]
Obj:10 https://packagecloud.io/gyazo/gyazo-for-linux/ubuntu bionic InRelease   
Leyendo lista de paquetes... Hecho                                             
[b]E: El repositorio «http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release» no tiene un fichero de Publicación.
N: No se puede actualizar de un repositorio como este de forma segura y por tanto está deshabilitado por omisión.
N: Vea la página de manual apt-secure(8) para los detalles sobre la creación de repositorios y la configuración de usuarios.[/b]


Top 
 Post Posted: Thu May 02, 2019 9:33 am 
Offline
Moderator
Moderator
User avatar

Joined: Tue Mar 25, 2008 10:30 pm
Posts: 12571
What is your question? You've added the WineHQ repository, though for some reason you've added both bionic and cosmic. Since all your other repositories are for bionic, you should delete the cosmic one from your /etc/apt/sources.list.

As for the error messages, they are all related to the deprecated repository that you never should have added in the first place. You should remove that from your /etc/apt/sources.list as well.


Top 
 Post Posted: Thu May 02, 2019 11:01 am 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
Can you give me instructions? What exactly i must to do? :? :?:


Top 
 Post Posted: Thu May 02, 2019 4:56 pm 
Offline
Level 5
Level 5

Joined: Thu Aug 14, 2014 10:10 am
Posts: 434
Open the file /etc/apt/sources.list as root in your favorite text editor and remove the lines which contain:
http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic
and
https://dl.winehq.org/wine-builds/ubuntu cosmic
Save and exit the file
run
Code:
sudo apt update


Top 
 Post Posted: Fri May 03, 2019 9:29 am 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
Done, but when i do sudo apt update it's happened:

Code:
sudo apt update
Obj:1 http://repo.steampowered.com/steam precise InRelease
Obj:2 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease
Ign:3 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic InRelease     
Err:4 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]
Obj:5 https://packagecloud.io/gyazo/gyazo-for-linux/ubuntu bionic InRelease   
Leyendo lista de paquetes... Hecho
E: El repositorio «http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release» no tiene un fichero de Publicación.
N: No se puede actualizar de un repositorio como este de forma segura y por tanto está deshabilitado por omisión.
N: Vea la página de manual apt-secure(8) para los detalles sobre la creación de repositorios y la configuración de usuarios.


Top 
 Post Posted: Fri May 03, 2019 10:26 am 
Offline
Level 12
Level 12
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 2564
Location: Cambridge
medalog wrote:
Done, but when i do sudo apt update it's happened:

Code:
sudo apt update
Ign:3 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic InRelease     
Err:4 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]


You'll need to remove the PPA wine-build repository as well...
It's 100% unmaintained, Sebastian Lackner (the ex-maintainer) is no-longer involved in the WineHQ Project.

Bob


Top 
 Post Posted: Fri May 03, 2019 1:11 pm 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
Bob Wya wrote:
medalog wrote:
Done, but when i do sudo apt update it's happened:

Code:
sudo apt update
Ign:3 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic InRelease     
Err:4 http://ppa.launchpad.net/wine/wine-builds/ubuntu bionic Release
  404  Not Found [IP: 91.189.95.83 80]


You'll need to remove the PPA wine-build repository as well...
It's 100% unmaintained, Sebastian Lackner (the ex-maintainer) is no-longer involved in the WineHQ Project.

Bob


What exactly should i do? Can you give me instructions?


Top 
 Post Posted: Fri May 03, 2019 2:17 pm 
Offline
Level 12
Level 12
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 2564
Location: Cambridge
medalog wrote:
...
What exactly should i do? Can you give me instructions?


By the power of Google: It's FOSS: How to Remove or Delete PPA in Ubuntu.

Bob


Top 
 Post Posted: Fri May 03, 2019 3:21 pm 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
Thanks.
Now trying to install it's happened:

Code:
sudo apt install --install-recommends winehq-stable
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
 winehq-stable : Depende: wine-stable (= 4.0~bionic)
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.


What would i do?


Top 
 Post Posted: Sat May 04, 2019 8:42 am 
Offline
Level 5
Level 5

Joined: Thu Aug 14, 2014 10:10 am
Posts: 434
You probably installed some package from a non official Ubuntu repo which isn't multi-arch. In other words the 32 and 64 bit packages doesn't have the same version number. The only way to solve this is to try to install each package by hand.
Code:
sudo apt install wine-stable

Probably, you will get an error which tells you can't install wine-stable because of an unmet dependency. Try to install that package and so on, and so on.


Top 
 Post Posted: Sat May 04, 2019 9:38 am 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
jkfloris wrote:
You probably installed some package from a non official Ubuntu repo which isn't multi-arch. In other words the 32 and 64 bit packages doesn't have the same version number. The only way to solve this is to try to install each package by hand.
Code:
sudo apt install wine-stable

Probably, you will get an error which tells you can't install wine-stable because of an unmet dependency. Try to install that package and so on, and so on.


Code:
 sudo apt install wine-stable
[sudo] contraseña para medalog:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
 wine-stable : Depende: wine-stable-amd64 (= 4.0~bionic) pero no va a instalarse
               Depende: wine-stable-i386 (= 4.0~bionic)
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.


Top 
 Post Posted: Sat May 04, 2019 9:45 am 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
This forum was my last resort, I've already tried other google things, but everything is the same. I'm about to format and reinstall the operating system, I hope I do not have to come to that and that they can help me.
Every time they tell me something, I have to ask them to guide me, I do not know what they are talking about, I have no idea of anything, I am here asking and asking for help.
They tell me to do something but they do not tell me how, I'm exactly the same as I was in google, I expected to find something else in a forum, help from other people.


Top 
 Post Posted: Sat May 04, 2019 10:28 am 
Offline
Moderator
Moderator
User avatar

Joined: Tue Mar 25, 2008 10:30 pm
Posts: 12571
Quote:
Code:
Los siguientes paquetes tienen dependencias incumplidas:
 wine-stable : Depende: wine-stable-amd64 (= 4.0~bionic) pero no va a instalarse
               Depende: wine-stable-i386 (= 4.0~bionic)

Try installing wine-stable-i386, see what apt complains about, and install that. Keep working your way back until you find whatever is blocking everything else.

Quote:
They tell me to do something but they do not tell me how

This is not a general Linux forum; basic knowledge of how to use your operating system, including your package manager, is assumed here. And clearly you do know how to use apt, because you've posted console output from it.


Top 
 Post Posted: Sat May 04, 2019 8:14 pm 
Offline
Level 1
Level 1

Joined: Wed May 01, 2019 10:30 am
Posts: 9
Well, thank you very much everyone, I suppose.


Top 
Display posts from previous:  Sort by  
 
 Page 1 of 1 [ 16 posts ] 




Board index » WineHQ » Wine Help » Linux


Who is online

Users browsing this forum: No registered users and 20 guests

 
 

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: